%% This is an -*- erlang -*- file.
%%
%% %CopyrightBegin%
%%
%% Copyright Ericsson AB 2010-2023. All Rights Reserved.
%%
%% Licensed under the Apache License, Version 2.0 (the "License");
%% you may not use this file except in compliance with the License.
%% You may obtain a copy of the License at
%%
%%     http://www.apache.org/licenses/LICENSE-2.0
%%
%% Unless required by applicable law or agreed to in writing, software
%% distributed under the License is distributed on an "AS IS" BASIS,
%% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
%% See the License for the specific language governing permissions and
%% limitations under the License.
%%
%% %CopyrightEnd%

{application, wx,
 [{description, "Yet another graphics system"},
  {vsn, "2.4.1"},
  {modules,
   [
    %% Generated modules
  wxGraphicsContext, wxPreviewFrame, wxComboBox, wxFontPickerCtrl, wxEvtHandler, wxFileDialog, wxFlexGridSizer, wxPrintDialogData, wxColourData, wxMouseCaptureChangedEvent, wxDCOverlay, wxClipboardTextEvent, wxMoveEvent, wxDisplay, wxChoicebook, wxSystemOptions, wxNotificationMessage, wxGridCellFloatRenderer, wxStatusBar, wxInitDialogEvent, wxEraseEvent, wxXmlResource, wxTaskBarIconEvent, wxCalendarCtrl, wxGraphicsObject, wxPrintout, wxGCDC, wxSysColourChangedEvent, wxGraphicsPath, wxListCtrl, wxLocale, wxGraphicsMatrix, wxBitmap, wxQueryNewPaletteEvent, wxSizerItem, wxGridCellBoolRenderer, wxPasswordEntryDialog, wxNavigationKeyEvent, wxFontData, wxGraphicsRenderer, wxMouseCaptureLostEvent, wxTextEntryDialog, wxIdleEvent, wxStyledTextCtrl, wxChoice, wxListItem, wxSpinCtrl, wxControlWithItems, wxMDIChildFrame, wxStdDialogButtonSizer, wxFontPickerEvent, wxPrintPreview, wxPrintData, wxDirPickerCtrl, wxKeyEvent, wxEvent, wxFontDialog, wxRadioBox, wxCalendarDateAttr, wxGridCellEditor, wxPalette, wxGridCellNumberRenderer, wxWebView, wxLogNull, wxControl, wxToggleButton, wxGraphicsFont, wxStaticText, wxIconizeEvent, wxJoystickEvent, wxStaticBitmap, wxGridBagSizer, wxGridSizer, wxScrollEvent, wxGLContext, wxWindowCreateEvent, wxGridCellFloatEditor, wxStyledTextEvent, wxStaticBox, wxBufferedDC, wxClientDC, wxMaximizeEvent, wxDateEvent, wxGridCellAttr, wxCalendarEvent, wxGauge, wxGridCellTextEditor, wxDataObject, wxShowEvent, wxBitmapDataObject, wxFindReplaceDialog, wxFrame, wxGenericDirCtrl, wxGridCellRenderer, wxStaticLine, wxMiniFrame, wxBookCtrlBase, wxListEvent, wxCursor, wxDialog, wxPaintDC, wxScreenDC, wxPopupWindow, wxColourPickerCtrl, wxFilePickerCtrl, wxPostScriptDC, wxGrid, wxAuiSimpleTabArt, wxSashEvent, wxScrolledWindow, wxSizerFlags, wxMask, wxSplitterEvent, wxScrollBar, wxBookCtrlEvent, wxMenu, wxCheckBox, wxIconBundle, wxListItemAttr, wxGraphicsGradientStops, wxAuiManager, wxFileDirPickerEvent, wxBoxSizer, wxClipboard, wxMouseEvent, wxDirDialog, wxSashWindow, wxAuiPaneInfo, wxPaintEvent, wxSplitterWindow, wxProgressDialog, wxGridCellNumberEditor, wxListBox, wxActivateEvent, wxColourPickerEvent, wxMenuItem, wxChildFocusEvent, wxMessageDialog, wxButton, wxMenuBar, wxDisplayChangedEvent, wxToolBar, wxGraphicsPen, wxPaletteChangedEvent, wxArtProvider, wxHtmlEasyPrinting, wxBufferedPaintDC, wxTreeCtrl, wxFindReplaceData, wxListView, wxAuiManagerEvent, wxHtmlLinkEvent, wxContextMenuEvent, wxLayoutAlgorithm, wxCheckListBox, wxGridCellBoolEditor, wxTopLevelWindow, wxMultiChoiceDialog, wxOverlay, wxAuiDockArt, wxDropFilesEvent, wxColourDialog, wxWindowDC, wxSizeEvent, wxHtmlWindow, wxPageSetupDialog, wxPreviewControlBar, wxFocusEvent, wxGridCellChoiceEditor, wxListbook, wxImageList, wxAuiNotebook, wxNotifyEvent, wxToolTip, wxSlider, wxAcceleratorEntry, wxSizer, wxPen, wxMenuEvent, wxBrush, wxTaskBarIcon, wxPickerBase, wxAuiNotebookEvent, wxGLCanvas, wxPanel, wxWebViewEvent, wxStaticBoxSizer, wxUpdateUIEvent, wxIcon, wxCommandEvent, wxBitmapButton, wxImage, wxPageSetupDialogData, wxSplashScreen, wxMemoryDC, wxToolbook, wxPopupTransientWindow, wxWindow, wxPrintDialog, wxFileDataObject, wxRadioButton, wxTextCtrl, wxCloseEvent, wxNotebook, wxTextDataObject, wxGBSizerItem, wxDC, wxCaret, wxAcceleratorTable, wxMDIParentFrame, wxHelpEvent, wxSpinButton, wx_misc, wxFont, wxDatePickerCtrl, wxSystemSettings, wxMDIClientWindow, wxTreeEvent, wxSpinEvent, wxSingleChoiceDialog, wxPrinter, wxAuiTabArt, wxRegion, wxTreebook, wxSashLayoutWindow, wxGridEvent, wxGridCellStringRenderer, wxPreviewCanvas, wxTextAttr, wxScrollWinEvent, wxGraphicsBrush, wxWindowDestroyEvent, wxSetCursorEvent, wxMirrorDC, glu, gl,
    %% Handcrafted modules
    wx,
    wx_object,
    wxe_master,
    wxe_server,
    wxe_util
   ]},
  {registered, []},
  {applications, [stdlib, kernel]},
  {env, []},
  {runtime_dependencies, ["stdlib-5.0","kernel-8.0","erts-12.0"]}
 ]}.
